Nokia Smart Installer for Symbian Manual

Devices Supported by Nokia Store

Nokia Store has strict testing criteria for accepting Qt applications that are packaged with Nokia Smart Installer for Symbian. A positive user experience during purchasing, downloading and finally running the applications is their primary goal. Based on thorough testing, the Nokia Store currently accepts Smart Installer packaged Qt applications for the following Symbian devices:

  • Symbian^3: N8-00, E7-00, C7-00, C6-01
  • Symbian^1 (S60 5th Edition): X6-00, C6-00, C5-03, N97, N97 mini, 5800 XpressMusic, 5530 XpressMusic, 5250, 5235, 5233, 5230, 5228
  • S60 3rd Edition: E72, E71, E66, E63, E52
  • Maemo: Nokia N900, with PR1.3 and later

For an updated list, see Packaging and Signing.

Note: Symbian^3 based smartphones have Qt 4.6 or later preinstalled but they might not include Qt Mobility. Therefore, the current requirement is to use the Nokia Smart Installer for Symbian wrapper also for applications that target Symbian^3 devices.